/***************************************************************************
                          clistviewitem.cpp  -  description
                             -------------------
    begin                : Fri Oct 12 2001
    copyright            : (C) 2001 by Eric Coquelle
    email                : coquelle@caramail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "clistviewitem.h"

CListViewItem::CListViewItem(QListView *parent, const char *name) : QListViewItem(parent,name){
}

CListViewItem::CListViewItem (QListView *parent, QString name, QString a= QString::null, QString z= QString::null, QString e= QString::null, QString r= QString::null, QString t= QString::null, QString y= QString::null, QString u= QString::null)
	: QListViewItem(parent, name, a, z, e, r, t, y, u) {
}

CListViewItem::CListViewItem(QListViewItem *parent) : QListViewItem(parent){
}

CListViewItem::~CListViewItem(){
}

/* Sort the 2nd column (Size) */
QString CListViewItem::key(int column, bool ascending) const
{
    QString numitem;

	if(column==1)
	{
		//We'll assume file size is less than 10^10 bytes
		numitem.sprintf("%10d", text(column).toInt());
		return numitem;
	}
	else
		return QListViewItem::key(column, ascending);
}

